# swagger-client
These are the docs for the curia platform API. To test, generate an authorization token first.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.3.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import curia.api.swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import curia.api.swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import curia.api.swagger_client
from curia.api.swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))

try:
    api_instance.code_controller_get_upload_url()
except ApiException as e:
    print("Exception when calling InternalApi->code_controller_get_upload_url: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateManyCodeDto() # CreateManyCodeDto | 

try:
    # Create many Code
    api_response = api_instance.create_many_base_code_controller_code(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_many_base_code_controller_code: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateManyFeatureCategoryDto() # CreateManyFeatureCategoryDto | 

try:
    # Create many FeatureCategory
    api_response = api_instance.create_many_base_feature_category_controller_feature_category(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_many_base_feature_category_controller_feature_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateManyFeatureDto() # CreateManyFeatureDto | 

try:
    # Create many Feature
    api_response = api_instance.create_many_base_feature_controller_feature(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_many_base_feature_controller_feature: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateManyFeatureSubCategoryDto() # CreateManyFeatureSubCategoryDto | 

try:
    # Create many FeatureSubCategory
    api_response = api_instance.create_many_base_feature_sub_category_controller_feature_sub_category(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_many_base_feature_sub_category_controller_feature_sub_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.CreateManyOrganizationFeatureExclusionDto() # CreateManyOrganizationFeatureExclusionDto | 

try:
    # Create many OrganizationFeatureExclusion
    api_response = api_instance.create_many_base_organization_feature_exclusion_controller_organization_feature_exclusion(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_many_base_organization_feature_exclusion_controller_organization_feature_exclusion: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.Code() # Code | 

try:
    # Create one Code
    api_response = api_instance.create_one_base_code_controller_code(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_one_base_code_controller_code: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.FeatureCategory() # FeatureCategory | 

try:
    # Create one FeatureCategory
    api_response = api_instance.create_one_base_feature_category_controller_feature_category(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_one_base_feature_category_controller_feature_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.Feature() # Feature | 

try:
    # Create one Feature
    api_response = api_instance.create_one_base_feature_controller_feature(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_one_base_feature_controller_feature: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.FeatureSubCategory() # FeatureSubCategory | 

try:
    # Create one FeatureSubCategory
    api_response = api_instance.create_one_base_feature_sub_category_controller_feature_sub_category(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_one_base_feature_sub_category_controller_feature_sub_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.OrganizationFeatureExclusion() # OrganizationFeatureExclusion | 

try:
    # Create one OrganizationFeatureExclusion
    api_response = api_instance.create_one_base_organization_feature_exclusion_controller_organization_feature_exclusion(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->create_one_base_organization_feature_exclusion_controller_organization_feature_exclusion: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 

try:
    # Delete one Code
    api_instance.delete_one_base_code_controller_code(id)
except ApiException as e:
    print("Exception when calling InternalApi->delete_one_base_code_controller_code: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 

try:
    # Delete one FeatureCategory
    api_instance.delete_one_base_feature_category_controller_feature_category(id)
except ApiException as e:
    print("Exception when calling InternalApi->delete_one_base_feature_category_controller_feature_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 

try:
    # Delete one Feature
    api_instance.delete_one_base_feature_controller_feature(id)
except ApiException as e:
    print("Exception when calling InternalApi->delete_one_base_feature_controller_feature: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 

try:
    # Delete one FeatureSubCategory
    api_instance.delete_one_base_feature_sub_category_controller_feature_sub_category(id)
except ApiException as e:
    print("Exception when calling InternalApi->delete_one_base_feature_sub_category_controller_feature_sub_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 

try:
    # Delete one OrganizationFeatureExclusion
    api_instance.delete_one_base_organization_feature_exclusion_controller_organization_feature_exclusion(id)
except ApiException as e:
    print("Exception when calling InternalApi->delete_one_base_organization_feature_exclusion_controller_organization_feature_exclusion: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
s = 's_example' # str | Adds search condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#search\" target=\"_blank\">Docs</a> (optional)
filter = ['filter_example'] # list[str] | Adds filter condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#filter\" target=\"_blank\">Docs</a> (optional)
_or = ['_or_example'] # list[str] | Adds OR condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#or\" target=\"_blank\">Docs</a> (optional)
sort = ['sort_example'] # list[str] | Adds sort by field. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#sort\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
limit = 56 # int | Limit amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#limit\" target=\"_blank\">Docs</a> (optional)
offset = 56 # int | Offset amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#offset\" target=\"_blank\">Docs</a> (optional)
page = 56 # int | Page portion of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#page\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve many Code
    api_response = api_instance.get_many_base_code_controller_code(fields=fields, s=s, filter=filter, _or=_or, sort=sort, join=join, limit=limit, offset=offset, page=page, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_many_base_code_controller_code: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
s = 's_example' # str | Adds search condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#search\" target=\"_blank\">Docs</a> (optional)
filter = ['filter_example'] # list[str] | Adds filter condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#filter\" target=\"_blank\">Docs</a> (optional)
_or = ['_or_example'] # list[str] | Adds OR condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#or\" target=\"_blank\">Docs</a> (optional)
sort = ['sort_example'] # list[str] | Adds sort by field. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#sort\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
limit = 56 # int | Limit amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#limit\" target=\"_blank\">Docs</a> (optional)
offset = 56 # int | Offset amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#offset\" target=\"_blank\">Docs</a> (optional)
page = 56 # int | Page portion of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#page\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve many FeatureCategory
    api_response = api_instance.get_many_base_feature_category_controller_feature_category(fields=fields, s=s, filter=filter, _or=_or, sort=sort, join=join, limit=limit, offset=offset, page=page, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_many_base_feature_category_controller_feature_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
s = 's_example' # str | Adds search condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#search\" target=\"_blank\">Docs</a> (optional)
filter = ['filter_example'] # list[str] | Adds filter condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#filter\" target=\"_blank\">Docs</a> (optional)
_or = ['_or_example'] # list[str] | Adds OR condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#or\" target=\"_blank\">Docs</a> (optional)
sort = ['sort_example'] # list[str] | Adds sort by field. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#sort\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
limit = 56 # int | Limit amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#limit\" target=\"_blank\">Docs</a> (optional)
offset = 56 # int | Offset amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#offset\" target=\"_blank\">Docs</a> (optional)
page = 56 # int | Page portion of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#page\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve many Feature
    api_response = api_instance.get_many_base_feature_controller_feature(fields=fields, s=s, filter=filter, _or=_or, sort=sort, join=join, limit=limit, offset=offset, page=page, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_many_base_feature_controller_feature: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
s = 's_example' # str | Adds search condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#search\" target=\"_blank\">Docs</a> (optional)
filter = ['filter_example'] # list[str] | Adds filter condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#filter\" target=\"_blank\">Docs</a> (optional)
_or = ['_or_example'] # list[str] | Adds OR condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#or\" target=\"_blank\">Docs</a> (optional)
sort = ['sort_example'] # list[str] | Adds sort by field. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#sort\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
limit = 56 # int | Limit amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#limit\" target=\"_blank\">Docs</a> (optional)
offset = 56 # int | Offset amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#offset\" target=\"_blank\">Docs</a> (optional)
page = 56 # int | Page portion of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#page\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve many FeatureSubCategory
    api_response = api_instance.get_many_base_feature_sub_category_controller_feature_sub_category(fields=fields, s=s, filter=filter, _or=_or, sort=sort, join=join, limit=limit, offset=offset, page=page, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_many_base_feature_sub_category_controller_feature_sub_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
s = 's_example' # str | Adds search condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#search\" target=\"_blank\">Docs</a> (optional)
filter = ['filter_example'] # list[str] | Adds filter condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#filter\" target=\"_blank\">Docs</a> (optional)
_or = ['_or_example'] # list[str] | Adds OR condition. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#or\" target=\"_blank\">Docs</a> (optional)
sort = ['sort_example'] # list[str] | Adds sort by field. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#sort\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
limit = 56 # int | Limit amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#limit\" target=\"_blank\">Docs</a> (optional)
offset = 56 # int | Offset amount of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#offset\" target=\"_blank\">Docs</a> (optional)
page = 56 # int | Page portion of resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#page\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve many OrganizationFeatureExclusion
    api_response = api_instance.get_many_base_organization_feature_exclusion_controller_organization_feature_exclusion(fields=fields, s=s, filter=filter, _or=_or, sort=sort, join=join, limit=limit, offset=offset, page=page, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_many_base_organization_feature_exclusion_controller_organization_feature_exclusion: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve one Code
    api_response = api_instance.get_one_base_code_controller_code(id, fields=fields, join=join, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_one_base_code_controller_code: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve one FeatureCategory
    api_response = api_instance.get_one_base_feature_category_controller_feature_category(id, fields=fields, join=join, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_one_base_feature_category_controller_feature_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve one Feature
    api_response = api_instance.get_one_base_feature_controller_feature(id, fields=fields, join=join, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_one_base_feature_controller_feature: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve one FeatureSubCategory
    api_response = api_instance.get_one_base_feature_sub_category_controller_feature_sub_category(id, fields=fields, join=join, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_one_base_feature_sub_category_controller_feature_sub_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
id = 'id_example' # str | 
fields = ['fields_example'] # list[str] | Selects resource fields. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#select\" target=\"_blank\">Docs</a> (optional)
join = ['join_example'] # list[str] | Adds relational resources. <a href=\"https://github.com/nestjsx/crud/wiki/Requests#join\" target=\"_blank\">Docs</a> (optional)
cache = 56 # int | Reset cache (if was enabled). <a href=\"https://github.com/nestjsx/crud/wiki/Requests#cache\" target=\"_blank\">Docs</a> (optional)

try:
    # Retrieve one OrganizationFeatureExclusion
    api_response = api_instance.get_one_base_organization_feature_exclusion_controller_organization_feature_exclusion(id, fields=fields, join=join, cache=cache)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->get_one_base_organization_feature_exclusion_controller_organization_feature_exclusion: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))

try:
    api_instance.health_controller_health()
except ApiException as e:
    print("Exception when calling InternalApi->health_controller_health: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))

try:
    api_response = api_instance.organization_setting_controller_get_unscoped_organziation_settings()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->organization_setting_controller_get_unscoped_organziation_settings: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.Code() # Code | 
id = 'id_example' # str | 

try:
    # Replace one Code
    api_response = api_instance.replace_one_base_code_controller_code(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->replace_one_base_code_controller_code: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.FeatureCategory() # FeatureCategory | 
id = 'id_example' # str | 

try:
    # Replace one FeatureCategory
    api_response = api_instance.replace_one_base_feature_category_controller_feature_category(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->replace_one_base_feature_category_controller_feature_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.Feature() # Feature | 
id = 'id_example' # str | 

try:
    # Replace one Feature
    api_response = api_instance.replace_one_base_feature_controller_feature(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->replace_one_base_feature_controller_feature: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.FeatureSubCategory() # FeatureSubCategory | 
id = 'id_example' # str | 

try:
    # Replace one FeatureSubCategory
    api_response = api_instance.replace_one_base_feature_sub_category_controller_feature_sub_category(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->replace_one_base_feature_sub_category_controller_feature_sub_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.OrganizationFeatureExclusion() # OrganizationFeatureExclusion | 
id = 'id_example' # str | 

try:
    # Replace one OrganizationFeatureExclusion
    api_response = api_instance.replace_one_base_organization_feature_exclusion_controller_organization_feature_exclusion(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->replace_one_base_organization_feature_exclusion_controller_organization_feature_exclusion: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))

try:
    api_instance.sns_message_controller_handle_message()
except ApiException as e:
    print("Exception when calling InternalApi->sns_message_controller_handle_message: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))

try:
    api_instance.sns_message_controller_handle_message_0()
except ApiException as e:
    print("Exception when calling InternalApi->sns_message_controller_handle_message_0: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.Code() # Code | 
id = 'id_example' # str | 

try:
    # Update one Code
    api_response = api_instance.update_one_base_code_controller_code(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->update_one_base_code_controller_code: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.FeatureCategory() # FeatureCategory | 
id = 'id_example' # str | 

try:
    # Update one FeatureCategory
    api_response = api_instance.update_one_base_feature_category_controller_feature_category(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->update_one_base_feature_category_controller_feature_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.Feature() # Feature | 
id = 'id_example' # str | 

try:
    # Update one Feature
    api_response = api_instance.update_one_base_feature_controller_feature(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->update_one_base_feature_controller_feature: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.FeatureSubCategory() # FeatureSubCategory | 
id = 'id_example' # str | 

try:
    # Update one FeatureSubCategory
    api_response = api_instance.update_one_base_feature_sub_category_controller_feature_sub_category(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->update_one_base_feature_sub_category_controller_feature_sub_category: %s\n" % e)

# Configure API key authorization: api_key
configuration = swagger_client.Configuration()
configuration.api_key['Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.InternalApi(swagger_client.ApiClient(configuration))
body = swagger_client.OrganizationFeatureExclusion() # OrganizationFeatureExclusion | 
id = 'id_example' # str | 

try:
    # Update one OrganizationFeatureExclusion
    api_response = api_instance.update_one_base_organization_feature_exclusion_controller_organization_feature_exclusion(body, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling InternalApi->update_one_base_organization_feature_exclusion_controller_organization_feature_exclusion: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.curia.ai*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*InternalApi* | [**code_controller_get_upload_url**](docs/InternalApi.md#code_controller_get_upload_url) | **GET** /codes/url | 
*InternalApi* | [**create_many_base_code_controller_code**](docs/InternalApi.md#create_many_base_code_controller_code) | **POST** /codes/bulk | Create many Code
*InternalApi* | [**create_many_base_feature_category_controller_feature_category**](docs/InternalApi.md#create_many_base_feature_category_controller_feature_category) | **POST** /feature-categories/bulk | Create many FeatureCategory
*InternalApi* | [**create_many_base_feature_controller_feature**](docs/InternalApi.md#create_many_base_feature_controller_feature) | **POST** /features/bulk | Create many Feature
*InternalApi* | [**create_many_base_feature_sub_category_controller_feature_sub_category**](docs/InternalApi.md#create_many_base_feature_sub_category_controller_feature_sub_category) | **POST** /feature-sub-categories/bulk | Create many FeatureSubCategory
*InternalApi* | [**create_many_base_organization_feature_exclusion_controller_organization_feature_exclusion**](docs/InternalApi.md#create_many_base_organization_feature_exclusion_controller_organization_feature_exclusion) | **POST** /organization-feature-exclusions/bulk | Create many OrganizationFeatureExclusion
*InternalApi* | [**create_one_base_code_controller_code**](docs/InternalApi.md#create_one_base_code_controller_code) | **POST** /codes | Create one Code
*InternalApi* | [**create_one_base_feature_category_controller_feature_category**](docs/InternalApi.md#create_one_base_feature_category_controller_feature_category) | **POST** /feature-categories | Create one FeatureCategory
*InternalApi* | [**create_one_base_feature_controller_feature**](docs/InternalApi.md#create_one_base_feature_controller_feature) | **POST** /features | Create one Feature
*InternalApi* | [**create_one_base_feature_sub_category_controller_feature_sub_category**](docs/InternalApi.md#create_one_base_feature_sub_category_controller_feature_sub_category) | **POST** /feature-sub-categories | Create one FeatureSubCategory
*InternalApi* | [**create_one_base_organization_feature_exclusion_controller_organization_feature_exclusion**](docs/InternalApi.md#create_one_base_organization_feature_exclusion_controller_organization_feature_exclusion) | **POST** /organization-feature-exclusions | Create one OrganizationFeatureExclusion
*InternalApi* | [**delete_one_base_code_controller_code**](docs/InternalApi.md#delete_one_base_code_controller_code) | **DELETE** /codes/{id} | Delete one Code
*InternalApi* | [**delete_one_base_feature_category_controller_feature_category**](docs/InternalApi.md#delete_one_base_feature_category_controller_feature_category) | **DELETE** /feature-categories/{id} | Delete one FeatureCategory
*InternalApi* | [**delete_one_base_feature_controller_feature**](docs/InternalApi.md#delete_one_base_feature_controller_feature) | **DELETE** /features/{id} | Delete one Feature
*InternalApi* | [**delete_one_base_feature_sub_category_controller_feature_sub_category**](docs/InternalApi.md#delete_one_base_feature_sub_category_controller_feature_sub_category) | **DELETE** /feature-sub-categories/{id} | Delete one FeatureSubCategory
*InternalApi* | [**delete_one_base_organization_feature_exclusion_controller_organization_feature_exclusion**](docs/InternalApi.md#delete_one_base_organization_feature_exclusion_controller_organization_feature_exclusion) | **DELETE** /organization-feature-exclusions/{id} | Delete one OrganizationFeatureExclusion
*InternalApi* | [**get_many_base_code_controller_code**](docs/InternalApi.md#get_many_base_code_controller_code) | **GET** /codes | Retrieve many Code
*InternalApi* | [**get_many_base_feature_category_controller_feature_category**](docs/InternalApi.md#get_many_base_feature_category_controller_feature_category) | **GET** /feature-categories | Retrieve many FeatureCategory
*InternalApi* | [**get_many_base_feature_controller_feature**](docs/InternalApi.md#get_many_base_feature_controller_feature) | **GET** /features | Retrieve many Feature
*InternalApi* | [**get_many_base_feature_sub_category_controller_feature_sub_category**](docs/InternalApi.md#get_many_base_feature_sub_category_controller_feature_sub_category) | **GET** /feature-sub-categories | Retrieve many FeatureSubCategory
*InternalApi* | [**get_many_base_organization_feature_exclusion_controller_organization_feature_exclusion**](docs/InternalApi.md#get_many_base_organization_feature_exclusion_controller_organization_feature_exclusion) | **GET** /organization-feature-exclusions | Retrieve many OrganizationFeatureExclusion
*InternalApi* | [**get_one_base_code_controller_code**](docs/InternalApi.md#get_one_base_code_controller_code) | **GET** /codes/{id} | Retrieve one Code
*InternalApi* | [**get_one_base_feature_category_controller_feature_category**](docs/InternalApi.md#get_one_base_feature_category_controller_feature_category) | **GET** /feature-categories/{id} | Retrieve one FeatureCategory
*InternalApi* | [**get_one_base_feature_controller_feature**](docs/InternalApi.md#get_one_base_feature_controller_feature) | **GET** /features/{id} | Retrieve one Feature
*InternalApi* | [**get_one_base_feature_sub_category_controller_feature_sub_category**](docs/InternalApi.md#get_one_base_feature_sub_category_controller_feature_sub_category) | **GET** /feature-sub-categories/{id} | Retrieve one FeatureSubCategory
*InternalApi* | [**get_one_base_organization_feature_exclusion_controller_organization_feature_exclusion**](docs/InternalApi.md#get_one_base_organization_feature_exclusion_controller_organization_feature_exclusion) | **GET** /organization-feature-exclusions/{id} | Retrieve one OrganizationFeatureExclusion
*InternalApi* | [**health_controller_health**](docs/InternalApi.md#health_controller_health) | **GET** /health | 
*InternalApi* | [**organization_setting_controller_get_unscoped_organziation_settings**](docs/InternalApi.md#organization_setting_controller_get_unscoped_organziation_settings) | **GET** /organization-settings/unscoped | 
*InternalApi* | [**replace_one_base_code_controller_code**](docs/InternalApi.md#replace_one_base_code_controller_code) | **PUT** /codes/{id} | Replace one Code
*InternalApi* | [**replace_one_base_feature_category_controller_feature_category**](docs/InternalApi.md#replace_one_base_feature_category_controller_feature_category) | **PUT** /feature-categories/{id} | Replace one FeatureCategory
*InternalApi* | [**replace_one_base_feature_controller_feature**](docs/InternalApi.md#replace_one_base_feature_controller_feature) | **PUT** /features/{id} | Replace one Feature
*InternalApi* | [**replace_one_base_feature_sub_category_controller_feature_sub_category**](docs/InternalApi.md#replace_one_base_feature_sub_category_controller_feature_sub_category) | **PUT** /feature-sub-categories/{id} | Replace one FeatureSubCategory
*InternalApi* | [**replace_one_base_organization_feature_exclusion_controller_organization_feature_exclusion**](docs/InternalApi.md#replace_one_base_organization_feature_exclusion_controller_organization_feature_exclusion) | **PUT** /organization-feature-exclusions/{id} | Replace one OrganizationFeatureExclusion
*InternalApi* | [**sns_message_controller_handle_message**](docs/InternalApi.md#sns_message_controller_handle_message) | **POST** /sns-message | 
*InternalApi* | [**sns_message_controller_handle_message_0**](docs/InternalApi.md#sns_message_controller_handle_message_0) | **POST** /sns-message | 
*InternalApi* | [**update_one_base_code_controller_code**](docs/InternalApi.md#update_one_base_code_controller_code) | **PATCH** /codes/{id} | Update one Code
*InternalApi* | [**update_one_base_feature_category_controller_feature_category**](docs/InternalApi.md#update_one_base_feature_category_controller_feature_category) | **PATCH** /feature-categories/{id} | Update one FeatureCategory
*InternalApi* | [**update_one_base_feature_controller_feature**](docs/InternalApi.md#update_one_base_feature_controller_feature) | **PATCH** /features/{id} | Update one Feature
*InternalApi* | [**update_one_base_feature_sub_category_controller_feature_sub_category**](docs/InternalApi.md#update_one_base_feature_sub_category_controller_feature_sub_category) | **PATCH** /feature-sub-categories/{id} | Update one FeatureSubCategory
*InternalApi* | [**update_one_base_organization_feature_exclusion_controller_organization_feature_exclusion**](docs/InternalApi.md#update_one_base_organization_feature_exclusion_controller_organization_feature_exclusion) | **PATCH** /organization-feature-exclusions/{id} | Update one OrganizationFeatureExclusion
*PlatformApi* | [**analysis_job_controller_start**](docs/PlatformApi.md#analysis_job_controller_start) | **GET** /analysis-jobs/{id}/start | 
*PlatformApi* | [**analysis_job_controller_stop**](docs/PlatformApi.md#analysis_job_controller_stop) | **GET** /analysis-jobs/{id}/stop | 
*PlatformApi* | [**cohort_controller_query**](docs/PlatformApi.md#cohort_controller_query) | **GET** /cohorts/{id}/query | 
*PlatformApi* | [**cohort_controller_sql**](docs/PlatformApi.md#cohort_controller_sql) | **GET** /cohorts/{id}/sql | 
*PlatformApi* | [**create_many_base_analysis_controller_analysis**](docs/PlatformApi.md#create_many_base_analysis_controller_analysis) | **POST** /analyses/bulk | Create many Analysis
*PlatformApi* | [**create_many_base_analysis_job_controller_analysis_job**](docs/PlatformApi.md#create_many_base_analysis_job_controller_analysis_job) | **POST** /analysis-jobs/bulk | Create many AnalysisJob
*PlatformApi* | [**create_many_base_analysis_job_output_controller_analysis_job_output**](docs/PlatformApi.md#create_many_base_analysis_job_output_controller_analysis_job_output) | **POST** /analysis-job-outputs/bulk | Create many AnalysisJobOutput
*PlatformApi* | [**create_many_base_analysis_job_status_controller_analysis_job_status**](docs/PlatformApi.md#create_many_base_analysis_job_status_controller_analysis_job_status) | **POST** /analysis-job-statuses/bulk | Create many AnalysisJobStatus
*PlatformApi* | [**create_many_base_cohort_controller_cohort**](docs/PlatformApi.md#create_many_base_cohort_controller_cohort) | **POST** /cohorts/bulk | Create many Cohort
*PlatformApi* | [**create_many_base_data_query_controller_data_query**](docs/PlatformApi.md#create_many_base_data_query_controller_data_query) | **POST** /data-queries/bulk | Create many DataQuery
*PlatformApi* | [**create_many_base_dataset_column_controller_dataset_column**](docs/PlatformApi.md#create_many_base_dataset_column_controller_dataset_column) | **POST** /dataset-columns/bulk | Create many DatasetColumn
*PlatformApi* | [**create_many_base_dataset_controller_dataset**](docs/PlatformApi.md#create_many_base_dataset_controller_dataset) | **POST** /datasets/bulk | Create many Dataset
*PlatformApi* | [**create_many_base_dataset_job_controller_dataset_job**](docs/PlatformApi.md#create_many_base_dataset_job_controller_dataset_job) | **POST** /dataset-jobs/bulk | Create many DatasetJob
*PlatformApi* | [**create_many_base_feature_controller_feature**](docs/PlatformApi.md#create_many_base_feature_controller_feature) | **POST** /features/bulk | Create many Feature
*PlatformApi* | [**create_many_base_model_batch_controller_model_batch**](docs/PlatformApi.md#create_many_base_model_batch_controller_model_batch) | **POST** /model-batches/bulk | Create many ModelBatch
*PlatformApi* | [**create_many_base_model_batch_job_controller_model_batch_job**](docs/PlatformApi.md#create_many_base_model_batch_job_controller_model_batch_job) | **POST** /model-batch-jobs/bulk | Create many ModelBatchJob
*PlatformApi* | [**create_many_base_model_controller_model**](docs/PlatformApi.md#create_many_base_model_controller_model) | **POST** /models/bulk | Create many Model
*PlatformApi* | [**create_many_base_model_dataset_controller_model_dataset**](docs/PlatformApi.md#create_many_base_model_dataset_controller_model_dataset) | **POST** /model-datasets/bulk | Create many ModelDataset
*PlatformApi* | [**create_many_base_model_job_controller_model_job**](docs/PlatformApi.md#create_many_base_model_job_controller_model_job) | **POST** /model-jobs/bulk | Create many ModelJob
*PlatformApi* | [**create_many_base_model_job_output_controller_model_job_output**](docs/PlatformApi.md#create_many_base_model_job_output_controller_model_job_output) | **POST** /model-job-outputs/bulk | Create many ModelJobOutput
*PlatformApi* | [**create_many_base_model_population_controller_model_population**](docs/PlatformApi.md#create_many_base_model_population_controller_model_population) | **POST** /model-populations/bulk | Create many ModelPopulation
*PlatformApi* | [**create_many_base_organization_setting_controller_organization_setting**](docs/PlatformApi.md#create_many_base_organization_setting_controller_organization_setting) | **POST** /organization-settings/bulk | Create many OrganizationSetting
*PlatformApi* | [**create_many_base_organizations_controller_organization**](docs/PlatformApi.md#create_many_base_organizations_controller_organization) | **POST** /organizations/bulk | Create many Organization
*PlatformApi* | [**create_many_base_process_controller_process**](docs/PlatformApi.md#create_many_base_process_controller_process) | **POST** /processes/bulk | Create many Process
*PlatformApi* | [**create_many_base_process_job_controller_process_job**](docs/PlatformApi.md#create_many_base_process_job_controller_process_job) | **POST** /process-jobs/bulk | Create many ProcessJob
*PlatformApi* | [**create_many_base_process_job_output_controller_process_job_output**](docs/PlatformApi.md#create_many_base_process_job_output_controller_process_job_output) | **POST** /process-job-outputs/bulk | Create many ProcessJobOutput
*PlatformApi* | [**create_many_base_process_job_status_controller_process_job_status**](docs/PlatformApi.md#create_many_base_process_job_status_controller_process_job_status) | **POST** /process-job-statuses/bulk | Create many ProcessJobStatus
*PlatformApi* | [**create_many_base_project_controller_project**](docs/PlatformApi.md#create_many_base_project_controller_project) | **POST** /projects/bulk | Create many Project
*PlatformApi* | [**create_many_base_project_member_controller_project_member**](docs/PlatformApi.md#create_many_base_project_member_controller_project_member) | **POST** /project-members/bulk | Create many ProjectMember
*PlatformApi* | [**create_many_base_user_favorite_controller_user_favorite**](docs/PlatformApi.md#create_many_base_user_favorite_controller_user_favorite) | **POST** /user-favorites/bulk | Create many UserFavorite
*PlatformApi* | [**create_one_base_analysis_controller_analysis**](docs/PlatformApi.md#create_one_base_analysis_controller_analysis) | **POST** /analyses | Create one Analysis
*PlatformApi* | [**create_one_base_analysis_job_controller_analysis_job**](docs/PlatformApi.md#create_one_base_analysis_job_controller_analysis_job) | **POST** /analysis-jobs | Create one AnalysisJob
*PlatformApi* | [**create_one_base_analysis_job_output_controller_analysis_job_output**](docs/PlatformApi.md#create_one_base_analysis_job_output_controller_analysis_job_output) | **POST** /analysis-job-outputs | Create one AnalysisJobOutput
*PlatformApi* | [**create_one_base_analysis_job_status_controller_analysis_job_status**](docs/PlatformApi.md#create_one_base_analysis_job_status_controller_analysis_job_status) | **POST** /analysis-job-statuses | Create one AnalysisJobStatus
*PlatformApi* | [**create_one_base_cohort_controller_cohort**](docs/PlatformApi.md#create_one_base_cohort_controller_cohort) | **POST** /cohorts | Create one Cohort
*PlatformApi* | [**create_one_base_data_query_controller_data_query**](docs/PlatformApi.md#create_one_base_data_query_controller_data_query) | **POST** /data-queries | Create one DataQuery
*PlatformApi* | [**create_one_base_dataset_column_controller_dataset_column**](docs/PlatformApi.md#create_one_base_dataset_column_controller_dataset_column) | **POST** /dataset-columns | Create one DatasetColumn
*PlatformApi* | [**create_one_base_dataset_controller_dataset**](docs/PlatformApi.md#create_one_base_dataset_controller_dataset) | **POST** /datasets | Create one Dataset
*PlatformApi* | [**create_one_base_dataset_job_controller_dataset_job**](docs/PlatformApi.md#create_one_base_dataset_job_controller_dataset_job) | **POST** /dataset-jobs | Create one DatasetJob
*PlatformApi* | [**create_one_base_dataset_job_status_controller_dataset_job_status**](docs/PlatformApi.md#create_one_base_dataset_job_status_controller_dataset_job_status) | **POST** /dataset-job-statuses | Create one DatasetJobStatus
*PlatformApi* | [**create_one_base_feature_controller_feature**](docs/PlatformApi.md#create_one_base_feature_controller_feature) | **POST** /features | Create one Feature
*PlatformApi* | [**create_one_base_model_batch_controller_model_batch**](docs/PlatformApi.md#create_one_base_model_batch_controller_model_batch) | **POST** /model-batches | Create one ModelBatch
*PlatformApi* | [**create_one_base_model_batch_job_controller_model_batch_job**](docs/PlatformApi.md#create_one_base_model_batch_job_controller_model_batch_job) | **POST** /model-batch-jobs | Create one ModelBatchJob
*PlatformApi* | [**create_one_base_model_controller_model**](docs/PlatformApi.md#create_one_base_model_controller_model) | **POST** /models | Create one Model
*PlatformApi* | [**create_one_base_model_dataset_controller_model_dataset**](docs/PlatformApi.md#create_one_base_model_dataset_controller_model_dataset) | **POST** /model-datasets | Create one ModelDataset
*PlatformApi* | [**create_one_base_model_job_controller_model_job**](docs/PlatformApi.md#create_one_base_model_job_controller_model_job) | **POST** /model-jobs | Create one ModelJob
*PlatformApi* | [**create_one_base_model_job_output_controller_model_job_output**](docs/PlatformApi.md#create_one_base_model_job_output_controller_model_job_output) | **POST** /model-job-outputs | Create one ModelJobOutput
*PlatformApi* | [**create_one_base_model_job_status_controller_model_job_status**](docs/PlatformApi.md#create_one_base_model_job_status_controller_model_job_status) | **POST** /model-job-statuses | Create one ModelJobStatus
*PlatformApi* | [**create_one_base_model_population_controller_model_population**](docs/PlatformApi.md#create_one_base_model_population_controller_model_population) | **POST** /model-populations | Create one ModelPopulation
*PlatformApi* | [**create_one_base_organization_setting_controller_organization_setting**](docs/PlatformApi.md#create_one_base_organization_setting_controller_organization_setting) | **POST** /organization-settings | Create one OrganizationSetting
*PlatformApi* | [**create_one_base_organizations_controller_organization**](docs/PlatformApi.md#create_one_base_organizations_controller_organization) | **POST** /organizations | Create one Organization
*PlatformApi* | [**create_one_base_process_controller_process**](docs/PlatformApi.md#create_one_base_process_controller_process) | **POST** /processes | Create one Process
*PlatformApi* | [**create_one_base_process_job_controller_process_job**](docs/PlatformApi.md#create_one_base_process_job_controller_process_job) | **POST** /process-jobs | Create one ProcessJob
*PlatformApi* | [**create_one_base_process_job_output_controller_process_job_output**](docs/PlatformApi.md#create_one_base_process_job_output_controller_process_job_output) | **POST** /process-job-outputs | Create one ProcessJobOutput
*PlatformApi* | [**create_one_base_process_job_status_controller_process_job_status**](docs/PlatformApi.md#create_one_base_process_job_status_controller_process_job_status) | **POST** /process-job-statuses | Create one ProcessJobStatus
*PlatformApi* | [**create_one_base_project_controller_project**](docs/PlatformApi.md#create_one_base_project_controller_project) | **POST** /projects | Create one Project
*PlatformApi* | [**create_one_base_project_member_controller_project_member**](docs/PlatformApi.md#create_one_base_project_member_controller_project_member) | **POST** /project-members | Create one ProjectMember
*PlatformApi* | [**create_one_base_user_favorite_controller_user_favorite**](docs/PlatformApi.md#create_one_base_user_favorite_controller_user_favorite) | **POST** /user-favorites | Create one UserFavorite
*PlatformApi* | [**data_query_controller_execute**](docs/PlatformApi.md#data_query_controller_execute) | **GET** /data-queries/{id}/execute | 
*PlatformApi* | [**database_controller_sync**](docs/PlatformApi.md#database_controller_sync) | **GET** /databases/sync | 
*PlatformApi* | [**dataset_controller_download_dataset**](docs/PlatformApi.md#dataset_controller_download_dataset) | **GET** /datasets/{id}/download | 
*PlatformApi* | [**dataset_controller_get_datasets_by_tag**](docs/PlatformApi.md#dataset_controller_get_datasets_by_tag) | **GET** /datasets/tag/{tag} | 
*PlatformApi* | [**dataset_controller_upload**](docs/PlatformApi.md#dataset_controller_upload) | **POST** /datasets/upload | 
*PlatformApi* | [**dataset_controller_upload_by_id**](docs/PlatformApi.md#dataset_controller_upload_by_id) | **POST** /datasets/{id}/upload | 
*PlatformApi* | [**dataset_job_controller_start**](docs/PlatformApi.md#dataset_job_controller_start) | **GET** /dataset-jobs/{id}/start | 
*PlatformApi* | [**dataset_job_controller_status**](docs/PlatformApi.md#dataset_job_controller_status) | **GET** /dataset-jobs/{id}/status | 
*PlatformApi* | [**dataset_job_controller_stop**](docs/PlatformApi.md#dataset_job_controller_stop) | **GET** /dataset-jobs/{id}/stop | 
*PlatformApi* | [**delete_one_base_analysis_controller_analysis**](docs/PlatformApi.md#delete_one_base_analysis_controller_analysis) | **DELETE** /analyses/{id} | Delete one Analysis
*PlatformApi* | [**delete_one_base_analysis_job_controller_analysis_job**](docs/PlatformApi.md#delete_one_base_analysis_job_controller_analysis_job) | **DELETE** /analysis-jobs/{id} | Delete one AnalysisJob
*PlatformApi* | [**delete_one_base_analysis_job_output_controller_analysis_job_output**](docs/PlatformApi.md#delete_one_base_analysis_job_output_controller_analysis_job_output) | **DELETE** /analysis-job-outputs/{id} | Delete one AnalysisJobOutput
*PlatformApi* | [**delete_one_base_analysis_job_status_controller_analysis_job_status**](docs/PlatformApi.md#delete_one_base_analysis_job_status_controller_analysis_job_status) | **DELETE** /analysis-job-statuses/{id} | Delete one AnalysisJobStatus
*PlatformApi* | [**delete_one_base_cohort_controller_cohort**](docs/PlatformApi.md#delete_one_base_cohort_controller_cohort) | **DELETE** /cohorts/{id} | Delete one Cohort
*PlatformApi* | [**delete_one_base_data_query_controller_data_query**](docs/PlatformApi.md#delete_one_base_data_query_controller_data_query) | **DELETE** /data-queries/{id} | Delete one DataQuery
*PlatformApi* | [**delete_one_base_dataset_column_controller_dataset_column**](docs/PlatformApi.md#delete_one_base_dataset_column_controller_dataset_column) | **DELETE** /dataset-columns/{id} | Delete one DatasetColumn
*PlatformApi* | [**delete_one_base_dataset_controller_dataset**](docs/PlatformApi.md#delete_one_base_dataset_controller_dataset) | **DELETE** /datasets/{id} | Delete one Dataset
*PlatformApi* | [**delete_one_base_dataset_job_controller_dataset_job**](docs/PlatformApi.md#delete_one_base_dataset_job_controller_dataset_job) | **DELETE** /dataset-jobs/{id} | Delete one DatasetJob
*PlatformApi* | [**delete_one_base_feature_controller_feature**](docs/PlatformApi.md#delete_one_base_feature_controller_feature) | **DELETE** /features/{id} | Delete one Feature
*PlatformApi* | [**delete_one_base_model_batch_controller_model_batch**](docs/PlatformApi.md#delete_one_base_model_batch_controller_model_batch) | **DELETE** /model-batches/{id} | Delete one ModelBatch
*PlatformApi* | [**delete_one_base_model_batch_job_controller_model_batch_job**](docs/PlatformApi.md#delete_one_base_model_batch_job_controller_model_batch_job) | **DELETE** /model-batch-jobs/{id} | Delete one ModelBatchJob
*PlatformApi* | [**delete_one_base_model_controller_model**](docs/PlatformApi.md#delete_one_base_model_controller_model) | **DELETE** /models/{id} | Delete one Model
*PlatformApi* | [**delete_one_base_model_dataset_controller_model_dataset**](docs/PlatformApi.md#delete_one_base_model_dataset_controller_model_dataset) | **DELETE** /model-datasets/{id} | Delete one ModelDataset
*PlatformApi* | [**delete_one_base_model_job_controller_model_job**](docs/PlatformApi.md#delete_one_base_model_job_controller_model_job) | **DELETE** /model-jobs/{id} | Delete one ModelJob
*PlatformApi* | [**delete_one_base_model_job_output_controller_model_job_output**](docs/PlatformApi.md#delete_one_base_model_job_output_controller_model_job_output) | **DELETE** /model-job-outputs/{id} | Delete one ModelJobOutput
*PlatformApi* | [**delete_one_base_model_population_controller_model_population**](docs/PlatformApi.md#delete_one_base_model_population_controller_model_population) | **DELETE** /model-populations/{id} | Delete one ModelPopulation
*PlatformApi* | [**delete_one_base_organization_setting_controller_organization_setting**](docs/PlatformApi.md#delete_one_base_organization_setting_controller_organization_setting) | **DELETE** /organization-settings/{id} | Delete one OrganizationSetting
*PlatformApi* | [**delete_one_base_organizations_controller_organization**](docs/PlatformApi.md#delete_one_base_organizations_controller_organization) | **DELETE** /organizations/{id} | Delete one Organization
*PlatformApi* | [**delete_one_base_process_controller_process**](docs/PlatformApi.md#delete_one_base_process_controller_process) | **DELETE** /processes/{id} | Delete one Process
*PlatformApi* | [**delete_one_base_process_job_controller_process_job**](docs/PlatformApi.md#delete_one_base_process_job_controller_process_job) | **DELETE** /process-jobs/{id} | Delete one ProcessJob
*PlatformApi* | [**delete_one_base_process_job_output_controller_process_job_output**](docs/PlatformApi.md#delete_one_base_process_job_output_controller_process_job_output) | **DELETE** /process-job-outputs/{id} | Delete one ProcessJobOutput
*PlatformApi* | [**delete_one_base_process_job_status_controller_process_job_status**](docs/PlatformApi.md#delete_one_base_process_job_status_controller_process_job_status) | **DELETE** /process-job-statuses/{id} | Delete one ProcessJobStatus
*PlatformApi* | [**delete_one_base_project_controller_project**](docs/PlatformApi.md#delete_one_base_project_controller_project) | **DELETE** /projects/{id} | Delete one Project
*PlatformApi* | [**delete_one_base_project_member_controller_project_member**](docs/PlatformApi.md#delete_one_base_project_member_controller_project_member) | **DELETE** /project-members/{id} | Delete one ProjectMember
*PlatformApi* | [**delete_one_base_user_favorite_controller_user_favorite**](docs/PlatformApi.md#delete_one_base_user_favorite_controller_user_favorite) | **DELETE** /user-favorites/{id} | Delete one UserFavorite
*PlatformApi* | [**get_many_base_analysis_controller_analysis**](docs/PlatformApi.md#get_many_base_analysis_controller_analysis) | **GET** /analyses | Retrieve many Analysis
*PlatformApi* | [**get_many_base_analysis_job_controller_analysis_job**](docs/PlatformApi.md#get_many_base_analysis_job_controller_analysis_job) | **GET** /analysis-jobs | Retrieve many AnalysisJob
*PlatformApi* | [**get_many_base_analysis_job_output_controller_analysis_job_output**](docs/PlatformApi.md#get_many_base_analysis_job_output_controller_analysis_job_output) | **GET** /analysis-job-outputs | Retrieve many AnalysisJobOutput
*PlatformApi* | [**get_many_base_analysis_job_status_controller_analysis_job_status**](docs/PlatformApi.md#get_many_base_analysis_job_status_controller_analysis_job_status) | **GET** /analysis-job-statuses | Retrieve many AnalysisJobStatus
*PlatformApi* | [**get_many_base_cohort_controller_cohort**](docs/PlatformApi.md#get_many_base_cohort_controller_cohort) | **GET** /cohorts | Retrieve many Cohort
*PlatformApi* | [**get_many_base_data_query_controller_data_query**](docs/PlatformApi.md#get_many_base_data_query_controller_data_query) | **GET** /data-queries | Retrieve many DataQuery
*PlatformApi* | [**get_many_base_data_table_controller_data_table**](docs/PlatformApi.md#get_many_base_data_table_controller_data_table) | **GET** /data-tables | Retrieve many DataTable
*PlatformApi* | [**get_many_base_database_controller_database**](docs/PlatformApi.md#get_many_base_database_controller_database) | **GET** /databases | Retrieve many Database
*PlatformApi* | [**get_many_base_dataset_column_controller_dataset_column**](docs/PlatformApi.md#get_many_base_dataset_column_controller_dataset_column) | **GET** /dataset-columns | Retrieve many DatasetColumn
*PlatformApi* | [**get_many_base_dataset_controller_dataset**](docs/PlatformApi.md#get_many_base_dataset_controller_dataset) | **GET** /datasets | Retrieve many Dataset
*PlatformApi* | [**get_many_base_dataset_job_controller_dataset_job**](docs/PlatformApi.md#get_many_base_dataset_job_controller_dataset_job) | **GET** /dataset-jobs | Retrieve many DatasetJob
*PlatformApi* | [**get_many_base_dataset_job_status_controller_dataset_job_status**](docs/PlatformApi.md#get_many_base_dataset_job_status_controller_dataset_job_status) | **GET** /dataset-job-statuses | Retrieve many DatasetJobStatus
*PlatformApi* | [**get_many_base_feature_controller_feature**](docs/PlatformApi.md#get_many_base_feature_controller_feature) | **GET** /features | Retrieve many Feature
*PlatformApi* | [**get_many_base_model_batch_controller_model_batch**](docs/PlatformApi.md#get_many_base_model_batch_controller_model_batch) | **GET** /model-batches | Retrieve many ModelBatch
*PlatformApi* | [**get_many_base_model_batch_job_controller_model_batch_job**](docs/PlatformApi.md#get_many_base_model_batch_job_controller_model_batch_job) | **GET** /model-batch-jobs | Retrieve many ModelBatchJob
*PlatformApi* | [**get_many_base_model_controller_model**](docs/PlatformApi.md#get_many_base_model_controller_model) | **GET** /models | Retrieve many Model
*PlatformApi* | [**get_many_base_model_dataset_controller_model_dataset**](docs/PlatformApi.md#get_many_base_model_dataset_controller_model_dataset) | **GET** /model-datasets | Retrieve many ModelDataset
*PlatformApi* | [**get_many_base_model_job_controller_model_job**](docs/PlatformApi.md#get_many_base_model_job_controller_model_job) | **GET** /model-jobs | Retrieve many ModelJob
*PlatformApi* | [**get_many_base_model_job_output_controller_model_job_output**](docs/PlatformApi.md#get_many_base_model_job_output_controller_model_job_output) | **GET** /model-job-outputs | Retrieve many ModelJobOutput
*PlatformApi* | [**get_many_base_model_job_status_controller_model_job_status**](docs/PlatformApi.md#get_many_base_model_job_status_controller_model_job_status) | **GET** /model-job-statuses | Retrieve many ModelJobStatus
*PlatformApi* | [**get_many_base_model_population_controller_model_population**](docs/PlatformApi.md#get_many_base_model_population_controller_model_population) | **GET** /model-populations | Retrieve many ModelPopulation
*PlatformApi* | [**get_many_base_organization_setting_controller_organization_setting**](docs/PlatformApi.md#get_many_base_organization_setting_controller_organization_setting) | **GET** /organization-settings | Retrieve many OrganizationSetting
*PlatformApi* | [**get_many_base_organizations_controller_organization**](docs/PlatformApi.md#get_many_base_organizations_controller_organization) | **GET** /organizations | Retrieve many Organization
*PlatformApi* | [**get_many_base_process_controller_process**](docs/PlatformApi.md#get_many_base_process_controller_process) | **GET** /processes | Retrieve many Process
*PlatformApi* | [**get_many_base_process_job_controller_process_job**](docs/PlatformApi.md#get_many_base_process_job_controller_process_job) | **GET** /process-jobs | Retrieve many ProcessJob
*PlatformApi* | [**get_many_base_process_job_output_controller_process_job_output**](docs/PlatformApi.md#get_many_base_process_job_output_controller_process_job_output) | **GET** /process-job-outputs | Retrieve many ProcessJobOutput
*PlatformApi* | [**get_many_base_process_job_status_controller_process_job_status**](docs/PlatformApi.md#get_many_base_process_job_status_controller_process_job_status) | **GET** /process-job-statuses | Retrieve many ProcessJobStatus
*PlatformApi* | [**get_many_base_project_controller_project**](docs/PlatformApi.md#get_many_base_project_controller_project) | **GET** /projects | Retrieve many Project
*PlatformApi* | [**get_many_base_project_member_controller_project_member**](docs/PlatformApi.md#get_many_base_project_member_controller_project_member) | **GET** /project-members | Retrieve many ProjectMember
*PlatformApi* | [**get_many_base_user_favorite_controller_user_favorite**](docs/PlatformApi.md#get_many_base_user_favorite_controller_user_favorite) | **GET** /user-favorites | Retrieve many UserFavorite
*PlatformApi* | [**get_one_base_analysis_controller_analysis**](docs/PlatformApi.md#get_one_base_analysis_controller_analysis) | **GET** /analyses/{id} | Retrieve one Analysis
*PlatformApi* | [**get_one_base_analysis_job_controller_analysis_job**](docs/PlatformApi.md#get_one_base_analysis_job_controller_analysis_job) | **GET** /analysis-jobs/{id} | Retrieve one AnalysisJob
*PlatformApi* | [**get_one_base_analysis_job_output_controller_analysis_job_output**](docs/PlatformApi.md#get_one_base_analysis_job_output_controller_analysis_job_output) | **GET** /analysis-job-outputs/{id} | Retrieve one AnalysisJobOutput
*PlatformApi* | [**get_one_base_analysis_job_status_controller_analysis_job_status**](docs/PlatformApi.md#get_one_base_analysis_job_status_controller_analysis_job_status) | **GET** /analysis-job-statuses/{id} | Retrieve one AnalysisJobStatus
*PlatformApi* | [**get_one_base_cohort_controller_cohort**](docs/PlatformApi.md#get_one_base_cohort_controller_cohort) | **GET** /cohorts/{id} | Retrieve one Cohort
*PlatformApi* | [**get_one_base_data_query_controller_data_query**](docs/PlatformApi.md#get_one_base_data_query_controller_data_query) | **GET** /data-queries/{id} | Retrieve one DataQuery
*PlatformApi* | [**get_one_base_data_table_controller_data_table**](docs/PlatformApi.md#get_one_base_data_table_controller_data_table) | **GET** /data-tables/{id} | Retrieve one DataTable
*PlatformApi* | [**get_one_base_database_controller_database**](docs/PlatformApi.md#get_one_base_database_controller_database) | **GET** /databases/{id} | Retrieve one Database
*PlatformApi* | [**get_one_base_dataset_column_controller_dataset_column**](docs/PlatformApi.md#get_one_base_dataset_column_controller_dataset_column) | **GET** /dataset-columns/{id} | Retrieve one DatasetColumn
*PlatformApi* | [**get_one_base_dataset_controller_dataset**](docs/PlatformApi.md#get_one_base_dataset_controller_dataset) | **GET** /datasets/{id} | Retrieve one Dataset
*PlatformApi* | [**get_one_base_dataset_job_controller_dataset_job**](docs/PlatformApi.md#get_one_base_dataset_job_controller_dataset_job) | **GET** /dataset-jobs/{id} | Retrieve one DatasetJob
*PlatformApi* | [**get_one_base_dataset_job_status_controller_dataset_job_status**](docs/PlatformApi.md#get_one_base_dataset_job_status_controller_dataset_job_status) | **GET** /dataset-job-statuses/{id} | Retrieve one DatasetJobStatus
*PlatformApi* | [**get_one_base_feature_controller_feature**](docs/PlatformApi.md#get_one_base_feature_controller_feature) | **GET** /features/{id} | Retrieve one Feature
*PlatformApi* | [**get_one_base_model_batch_controller_model_batch**](docs/PlatformApi.md#get_one_base_model_batch_controller_model_batch) | **GET** /model-batches/{id} | Retrieve one ModelBatch
*PlatformApi* | [**get_one_base_model_batch_job_controller_model_batch_job**](docs/PlatformApi.md#get_one_base_model_batch_job_controller_model_batch_job) | **GET** /model-batch-jobs/{id} | Retrieve one ModelBatchJob
*PlatformApi* | [**get_one_base_model_controller_model**](docs/PlatformApi.md#get_one_base_model_controller_model) | **GET** /models/{id} | Retrieve one Model
*PlatformApi* | [**get_one_base_model_dataset_controller_model_dataset**](docs/PlatformApi.md#get_one_base_model_dataset_controller_model_dataset) | **GET** /model-datasets/{id} | Retrieve one ModelDataset
*PlatformApi* | [**get_one_base_model_job_controller_model_job**](docs/PlatformApi.md#get_one_base_model_job_controller_model_job) | **GET** /model-jobs/{id} | Retrieve one ModelJob
*PlatformApi* | [**get_one_base_model_job_output_controller_model_job_output**](docs/PlatformApi.md#get_one_base_model_job_output_controller_model_job_output) | **GET** /model-job-outputs/{id} | Retrieve one ModelJobOutput
*PlatformApi* | [**get_one_base_model_job_status_controller_model_job_status**](docs/PlatformApi.md#get_one_base_model_job_status_controller_model_job_status) | **GET** /model-job-statuses/{id} | Retrieve one ModelJobStatus
*PlatformApi* | [**get_one_base_model_population_controller_model_population**](docs/PlatformApi.md#get_one_base_model_population_controller_model_population) | **GET** /model-populations/{id} | Retrieve one ModelPopulation
*PlatformApi* | [**get_one_base_organization_setting_controller_organization_setting**](docs/PlatformApi.md#get_one_base_organization_setting_controller_organization_setting) | **GET** /organization-settings/{id} | Retrieve one OrganizationSetting
*PlatformApi* | [**get_one_base_organizations_controller_organization**](docs/PlatformApi.md#get_one_base_organizations_controller_organization) | **GET** /organizations/{id} | Retrieve one Organization
*PlatformApi* | [**get_one_base_process_controller_process**](docs/PlatformApi.md#get_one_base_process_controller_process) | **GET** /processes/{id} | Retrieve one Process
*PlatformApi* | [**get_one_base_process_job_controller_process_job**](docs/PlatformApi.md#get_one_base_process_job_controller_process_job) | **GET** /process-jobs/{id} | Retrieve one ProcessJob
*PlatformApi* | [**get_one_base_process_job_output_controller_process_job_output**](docs/PlatformApi.md#get_one_base_process_job_output_controller_process_job_output) | **GET** /process-job-outputs/{id} | Retrieve one ProcessJobOutput
*PlatformApi* | [**get_one_base_process_job_status_controller_process_job_status**](docs/PlatformApi.md#get_one_base_process_job_status_controller_process_job_status) | **GET** /process-job-statuses/{id} | Retrieve one ProcessJobStatus
*PlatformApi* | [**get_one_base_project_controller_project**](docs/PlatformApi.md#get_one_base_project_controller_project) | **GET** /projects/{id} | Retrieve one Project
*PlatformApi* | [**get_one_base_project_member_controller_project_member**](docs/PlatformApi.md#get_one_base_project_member_controller_project_member) | **GET** /project-members/{id} | Retrieve one ProjectMember
*PlatformApi* | [**get_one_base_user_favorite_controller_user_favorite**](docs/PlatformApi.md#get_one_base_user_favorite_controller_user_favorite) | **GET** /user-favorites/{id} | Retrieve one UserFavorite
*PlatformApi* | [**model_batch_job_controller_start**](docs/PlatformApi.md#model_batch_job_controller_start) | **GET** /model-batch-jobs/{id}/start | 
*PlatformApi* | [**model_batch_job_controller_status**](docs/PlatformApi.md#model_batch_job_controller_status) | **GET** /model-batch-jobs/{id}/status | 
*PlatformApi* | [**model_batch_job_controller_stop**](docs/PlatformApi.md#model_batch_job_controller_stop) | **GET** /model-batch-jobs/{id}/stop | 
*PlatformApi* | [**model_controller_clone_model**](docs/PlatformApi.md#model_controller_clone_model) | **POST** /models/{id}/clone | 
*PlatformApi* | [**model_controller_get_many_and_join_metadata**](docs/PlatformApi.md#model_controller_get_many_and_join_metadata) | **GET** /models/detailed | 
*PlatformApi* | [**model_controller_get_model_audit_log**](docs/PlatformApi.md#model_controller_get_model_audit_log) | **GET** /models/{id}/audit-log | 
*PlatformApi* | [**model_controller_get_recent_models**](docs/PlatformApi.md#model_controller_get_recent_models) | **GET** /models/recent | 
*PlatformApi* | [**model_job_controller_get_predictions_data**](docs/PlatformApi.md#model_job_controller_get_predictions_data) | **GET** /model-jobs/{id}/predictions | 
*PlatformApi* | [**model_job_controller_start**](docs/PlatformApi.md#model_job_controller_start) | **GET** /model-jobs/{id}/start | 
*PlatformApi* | [**model_job_controller_stop**](docs/PlatformApi.md#model_job_controller_stop) | **GET** /model-jobs/{id}/stop | 
*PlatformApi* | [**model_population_controller_queue_query**](docs/PlatformApi.md#model_population_controller_queue_query) | **POST** /model-populations/{id}/queue-query/{type} | 
*PlatformApi* | [**organization_setting_controller_get_unscoped_organziation_settings**](docs/PlatformApi.md#organization_setting_controller_get_unscoped_organziation_settings) | **GET** /organization-settings/unscoped | 
*PlatformApi* | [**organization_setting_controller_get_versions**](docs/PlatformApi.md#organization_setting_controller_get_versions) | **GET** /organization-settings/versions | 
*PlatformApi* | [**organization_setting_controller_get_versions_0**](docs/PlatformApi.md#organization_setting_controller_get_versions_0) | **GET** /organization-settings/versions | 
*PlatformApi* | [**process_job_controller_start**](docs/PlatformApi.md#process_job_controller_start) | **GET** /process-jobs/{id}/start | 
*PlatformApi* | [**process_job_controller_stop**](docs/PlatformApi.md#process_job_controller_stop) | **GET** /process-jobs/{id}/stop | 
*PlatformApi* | [**project_controller_get_all_project_children**](docs/PlatformApi.md#project_controller_get_all_project_children) | **GET** /projects/{id}/children | 
*PlatformApi* | [**project_controller_get_all_project_parents**](docs/PlatformApi.md#project_controller_get_all_project_parents) | **GET** /projects/{id}/parents | 
*PlatformApi* | [**project_controller_get_recent_projects**](docs/PlatformApi.md#project_controller_get_recent_projects) | **GET** /projects/recent | 
*PlatformApi* | [**replace_one_base_analysis_controller_analysis**](docs/PlatformApi.md#replace_one_base_analysis_controller_analysis) | **PUT** /analyses/{id} | Replace one Analysis
*PlatformApi* | [**replace_one_base_analysis_job_controller_analysis_job**](docs/PlatformApi.md#replace_one_base_analysis_job_controller_analysis_job) | **PUT** /analysis-jobs/{id} | Replace one AnalysisJob
*PlatformApi* | [**replace_one_base_analysis_job_output_controller_analysis_job_output**](docs/PlatformApi.md#replace_one_base_analysis_job_output_controller_analysis_job_output) | **PUT** /analysis-job-outputs/{id} | Replace one AnalysisJobOutput
*PlatformApi* | [**replace_one_base_analysis_job_status_controller_analysis_job_status**](docs/PlatformApi.md#replace_one_base_analysis_job_status_controller_analysis_job_status) | **PUT** /analysis-job-statuses/{id} | Replace one AnalysisJobStatus
*PlatformApi* | [**replace_one_base_cohort_controller_cohort**](docs/PlatformApi.md#replace_one_base_cohort_controller_cohort) | **PUT** /cohorts/{id} | Replace one Cohort
*PlatformApi* | [**replace_one_base_data_query_controller_data_query**](docs/PlatformApi.md#replace_one_base_data_query_controller_data_query) | **PUT** /data-queries/{id} | Replace one DataQuery
*PlatformApi* | [**replace_one_base_dataset_column_controller_dataset_column**](docs/PlatformApi.md#replace_one_base_dataset_column_controller_dataset_column) | **PUT** /dataset-columns/{id} | Replace one DatasetColumn
*PlatformApi* | [**replace_one_base_dataset_controller_dataset**](docs/PlatformApi.md#replace_one_base_dataset_controller_dataset) | **PUT** /datasets/{id} | Replace one Dataset
*PlatformApi* | [**replace_one_base_dataset_job_controller_dataset_job**](docs/PlatformApi.md#replace_one_base_dataset_job_controller_dataset_job) | **PUT** /dataset-jobs/{id} | Replace one DatasetJob
*PlatformApi* | [**replace_one_base_feature_controller_feature**](docs/PlatformApi.md#replace_one_base_feature_controller_feature) | **PUT** /features/{id} | Replace one Feature
*PlatformApi* | [**replace_one_base_model_batch_controller_model_batch**](docs/PlatformApi.md#replace_one_base_model_batch_controller_model_batch) | **PUT** /model-batches/{id} | Replace one ModelBatch
*PlatformApi* | [**replace_one_base_model_batch_job_controller_model_batch_job**](docs/PlatformApi.md#replace_one_base_model_batch_job_controller_model_batch_job) | **PUT** /model-batch-jobs/{id} | Replace one ModelBatchJob
*PlatformApi* | [**replace_one_base_model_controller_model**](docs/PlatformApi.md#replace_one_base_model_controller_model) | **PUT** /models/{id} | Replace one Model
*PlatformApi* | [**replace_one_base_model_dataset_controller_model_dataset**](docs/PlatformApi.md#replace_one_base_model_dataset_controller_model_dataset) | **PUT** /model-datasets/{id} | Replace one ModelDataset
*PlatformApi* | [**replace_one_base_model_job_controller_model_job**](docs/PlatformApi.md#replace_one_base_model_job_controller_model_job) | **PUT** /model-jobs/{id} | Replace one ModelJob
*PlatformApi* | [**replace_one_base_model_job_output_controller_model_job_output**](docs/PlatformApi.md#replace_one_base_model_job_output_controller_model_job_output) | **PUT** /model-job-outputs/{id} | Replace one ModelJobOutput
*PlatformApi* | [**replace_one_base_model_population_controller_model_population**](docs/PlatformApi.md#replace_one_base_model_population_controller_model_population) | **PUT** /model-populations/{id} | Replace one ModelPopulation
*PlatformApi* | [**replace_one_base_organization_setting_controller_organization_setting**](docs/PlatformApi.md#replace_one_base_organization_setting_controller_organization_setting) | **PUT** /organization-settings/{id} | Replace one OrganizationSetting
*PlatformApi* | [**replace_one_base_organizations_controller_organization**](docs/PlatformApi.md#replace_one_base_organizations_controller_organization) | **PUT** /organizations/{id} | Replace one Organization
*PlatformApi* | [**replace_one_base_process_controller_process**](docs/PlatformApi.md#replace_one_base_process_controller_process) | **PUT** /processes/{id} | Replace one Process
*PlatformApi* | [**replace_one_base_process_job_controller_process_job**](docs/PlatformApi.md#replace_one_base_process_job_controller_process_job) | **PUT** /process-jobs/{id} | Replace one ProcessJob
*PlatformApi* | [**replace_one_base_process_job_output_controller_process_job_output**](docs/PlatformApi.md#replace_one_base_process_job_output_controller_process_job_output) | **PUT** /process-job-outputs/{id} | Replace one ProcessJobOutput
*PlatformApi* | [**replace_one_base_process_job_status_controller_process_job_status**](docs/PlatformApi.md#replace_one_base_process_job_status_controller_process_job_status) | **PUT** /process-job-statuses/{id} | Replace one ProcessJobStatus
*PlatformApi* | [**replace_one_base_project_controller_project**](docs/PlatformApi.md#replace_one_base_project_controller_project) | **PUT** /projects/{id} | Replace one Project
*PlatformApi* | [**replace_one_base_project_member_controller_project_member**](docs/PlatformApi.md#replace_one_base_project_member_controller_project_member) | **PUT** /project-members/{id} | Replace one ProjectMember
*PlatformApi* | [**replace_one_base_user_favorite_controller_user_favorite**](docs/PlatformApi.md#replace_one_base_user_favorite_controller_user_favorite) | **PUT** /user-favorites/{id} | Replace one UserFavorite
*PlatformApi* | [**update_one_base_analysis_controller_analysis**](docs/PlatformApi.md#update_one_base_analysis_controller_analysis) | **PATCH** /analyses/{id} | Update one Analysis
*PlatformApi* | [**update_one_base_analysis_job_controller_analysis_job**](docs/PlatformApi.md#update_one_base_analysis_job_controller_analysis_job) | **PATCH** /analysis-jobs/{id} | Update one AnalysisJob
*PlatformApi* | [**update_one_base_analysis_job_output_controller_analysis_job_output**](docs/PlatformApi.md#update_one_base_analysis_job_output_controller_analysis_job_output) | **PATCH** /analysis-job-outputs/{id} | Update one AnalysisJobOutput
*PlatformApi* | [**update_one_base_analysis_job_status_controller_analysis_job_status**](docs/PlatformApi.md#update_one_base_analysis_job_status_controller_analysis_job_status) | **PATCH** /analysis-job-statuses/{id} | Update one AnalysisJobStatus
*PlatformApi* | [**update_one_base_cohort_controller_cohort**](docs/PlatformApi.md#update_one_base_cohort_controller_cohort) | **PATCH** /cohorts/{id} | Update one Cohort
*PlatformApi* | [**update_one_base_data_query_controller_data_query**](docs/PlatformApi.md#update_one_base_data_query_controller_data_query) | **PATCH** /data-queries/{id} | Update one DataQuery
*PlatformApi* | [**update_one_base_dataset_column_controller_dataset_column**](docs/PlatformApi.md#update_one_base_dataset_column_controller_dataset_column) | **PATCH** /dataset-columns/{id} | Update one DatasetColumn
*PlatformApi* | [**update_one_base_dataset_controller_dataset**](docs/PlatformApi.md#update_one_base_dataset_controller_dataset) | **PATCH** /datasets/{id} | Update one Dataset
*PlatformApi* | [**update_one_base_dataset_job_controller_dataset_job**](docs/PlatformApi.md#update_one_base_dataset_job_controller_dataset_job) | **PATCH** /dataset-jobs/{id} | Update one DatasetJob
*PlatformApi* | [**update_one_base_feature_controller_feature**](docs/PlatformApi.md#update_one_base_feature_controller_feature) | **PATCH** /features/{id} | Update one Feature
*PlatformApi* | [**update_one_base_model_batch_controller_model_batch**](docs/PlatformApi.md#update_one_base_model_batch_controller_model_batch) | **PATCH** /model-batches/{id} | Update one ModelBatch
*PlatformApi* | [**update_one_base_model_batch_job_controller_model_batch_job**](docs/PlatformApi.md#update_one_base_model_batch_job_controller_model_batch_job) | **PATCH** /model-batch-jobs/{id} | Update one ModelBatchJob
*PlatformApi* | [**update_one_base_model_controller_model**](docs/PlatformApi.md#update_one_base_model_controller_model) | **PATCH** /models/{id} | Update one Model
*PlatformApi* | [**update_one_base_model_dataset_controller_model_dataset**](docs/PlatformApi.md#update_one_base_model_dataset_controller_model_dataset) | **PATCH** /model-datasets/{id} | Update one ModelDataset
*PlatformApi* | [**update_one_base_model_job_controller_model_job**](docs/PlatformApi.md#update_one_base_model_job_controller_model_job) | **PATCH** /model-jobs/{id} | Update one ModelJob
*PlatformApi* | [**update_one_base_model_job_output_controller_model_job_output**](docs/PlatformApi.md#update_one_base_model_job_output_controller_model_job_output) | **PATCH** /model-job-outputs/{id} | Update one ModelJobOutput
*PlatformApi* | [**update_one_base_model_population_controller_model_population**](docs/PlatformApi.md#update_one_base_model_population_controller_model_population) | **PATCH** /model-populations/{id} | Update one ModelPopulation
*PlatformApi* | [**update_one_base_organization_setting_controller_organization_setting**](docs/PlatformApi.md#update_one_base_organization_setting_controller_organization_setting) | **PATCH** /organization-settings/{id} | Update one OrganizationSetting
*PlatformApi* | [**update_one_base_organizations_controller_organization**](docs/PlatformApi.md#update_one_base_organizations_controller_organization) | **PATCH** /organizations/{id} | Update one Organization
*PlatformApi* | [**update_one_base_process_controller_process**](docs/PlatformApi.md#update_one_base_process_controller_process) | **PATCH** /processes/{id} | Update one Process
*PlatformApi* | [**update_one_base_process_job_controller_process_job**](docs/PlatformApi.md#update_one_base_process_job_controller_process_job) | **PATCH** /process-jobs/{id} | Update one ProcessJob
*PlatformApi* | [**update_one_base_process_job_output_controller_process_job_output**](docs/PlatformApi.md#update_one_base_process_job_output_controller_process_job_output) | **PATCH** /process-job-outputs/{id} | Update one ProcessJobOutput
*PlatformApi* | [**update_one_base_process_job_status_controller_process_job_status**](docs/PlatformApi.md#update_one_base_process_job_status_controller_process_job_status) | **PATCH** /process-job-statuses/{id} | Update one ProcessJobStatus
*PlatformApi* | [**update_one_base_project_controller_project**](docs/PlatformApi.md#update_one_base_project_controller_project) | **PATCH** /projects/{id} | Update one Project
*PlatformApi* | [**update_one_base_project_member_controller_project_member**](docs/PlatformApi.md#update_one_base_project_member_controller_project_member) | **PATCH** /project-members/{id} | Update one ProjectMember
*PlatformApi* | [**update_one_base_user_favorite_controller_user_favorite**](docs/PlatformApi.md#update_one_base_user_favorite_controller_user_favorite) | **PATCH** /user-favorites/{id} | Update one UserFavorite
*PlatformApi* | [**user_management_controller_assign_user_roles**](docs/PlatformApi.md#user_management_controller_assign_user_roles) | **PUT** /user-management/{id}/assign-roles | 
*PlatformApi* | [**user_management_controller_cancel_user_invite**](docs/PlatformApi.md#user_management_controller_cancel_user_invite) | **POST** /user-management/invite/cancel | 
*PlatformApi* | [**user_management_controller_get_my_user**](docs/PlatformApi.md#user_management_controller_get_my_user) | **GET** /user-management/my-user | 
*PlatformApi* | [**user_management_controller_get_my_user_api_key**](docs/PlatformApi.md#user_management_controller_get_my_user_api_key) | **GET** /user-management/my-api-key | 
*PlatformApi* | [**user_management_controller_get_my_user_organizations**](docs/PlatformApi.md#user_management_controller_get_my_user_organizations) | **GET** /user-management/my-organizations | 
*PlatformApi* | [**user_management_controller_get_roles**](docs/PlatformApi.md#user_management_controller_get_roles) | **GET** /user-management/roles | 
*PlatformApi* | [**user_management_controller_get_user**](docs/PlatformApi.md#user_management_controller_get_user) | **GET** /user-management/{id} | 
*PlatformApi* | [**user_management_controller_get_users**](docs/PlatformApi.md#user_management_controller_get_users) | **GET** /user-management | 
*PlatformApi* | [**user_management_controller_invite_user**](docs/PlatformApi.md#user_management_controller_invite_user) | **POST** /user-management/invite | 
*PlatformApi* | [**user_management_controller_refresh_api_key**](docs/PlatformApi.md#user_management_controller_refresh_api_key) | **GET** /user-management/{id}/refresh-api-key | 
*PlatformApi* | [**user_management_controller_refresh_my_api_key**](docs/PlatformApi.md#user_management_controller_refresh_my_api_key) | **GET** /user-management/refresh-my-api-key | 
*PlatformApi* | [**user_management_controller_remove_user**](docs/PlatformApi.md#user_management_controller_remove_user) | **DELETE** /user-management/{id} | 
*PlatformApi* | [**user_management_controller_remove_user_roles**](docs/PlatformApi.md#user_management_controller_remove_user_roles) | **PUT** /user-management/{id}/remove-roles | 
*PlatformApi* | [**user_management_controller_request_password_reset**](docs/PlatformApi.md#user_management_controller_request_password_reset) | **GET** /user-management/{id}/request-password-reset | 
*PlatformApi* | [**user_management_controller_resend_user_invite**](docs/PlatformApi.md#user_management_controller_resend_user_invite) | **POST** /user-management/invite/resend | 
*PlatformApi* | [**user_management_controller_update_my_user**](docs/PlatformApi.md#user_management_controller_update_my_user) | **PATCH** /user-management/my-user | 
*PlatformApi* | [**user_management_controller_update_user**](docs/PlatformApi.md#user_management_controller_update_user) | **PATCH** /user-management/{id} | 
*PlatformApi* | [**user_management_controller_update_user_metadata**](docs/PlatformApi.md#user_management_controller_update_user_metadata) | **PUT** /user-management/{id}/metadata | 

## Documentation For Models

 - [AggregationType](docs/AggregationType.md)
 - [Analysis](docs/Analysis.md)
 - [AnalysisJob](docs/AnalysisJob.md)
 - [AnalysisJobConfig](docs/AnalysisJobConfig.md)
 - [AnalysisJobOutput](docs/AnalysisJobOutput.md)
 - [AnalysisJobStatus](docs/AnalysisJobStatus.md)
 - [AnalysisJobType](docs/AnalysisJobType.md)
 - [AnalysisType](docs/AnalysisType.md)
 - [AnyOfArithmeticExpressionValue](docs/AnyOfArithmeticExpressionValue.md)
 - [AnyOfBooleanExpressionValue](docs/AnyOfBooleanExpressionValue.md)
 - [AnyOfCohortDefinitionPatientMetadataFiltersItems](docs/AnyOfCohortDefinitionPatientMetadataFiltersItems.md)
 - [AnyOfConditionValue](docs/AnyOfConditionValue.md)
 - [ArithmeticExpression](docs/ArithmeticExpression.md)
 - [ArithmeticOperator](docs/ArithmeticOperator.md)
 - [Body](docs/Body.md)
 - [Body1](docs/Body1.md)
 - [BooleanExpression](docs/BooleanExpression.md)
 - [Code](docs/Code.md)
 - [Cohort](docs/Cohort.md)
 - [CohortDefinition](docs/CohortDefinition.md)
 - [CohortFilter](docs/CohortFilter.md)
 - [CohortFilterCondition](docs/CohortFilterCondition.md)
 - [CohortResults](docs/CohortResults.md)
 - [CohortWindow](docs/CohortWindow.md)
 - [Condition](docs/Condition.md)
 - [ConditionOperator](docs/ConditionOperator.md)
 - [CreateManyAnalysisDto](docs/CreateManyAnalysisDto.md)
 - [CreateManyAnalysisJobDto](docs/CreateManyAnalysisJobDto.md)
 - [CreateManyAnalysisJobOutputDto](docs/CreateManyAnalysisJobOutputDto.md)
 - [CreateManyAnalysisJobStatusDto](docs/CreateManyAnalysisJobStatusDto.md)
 - [CreateManyCodeDto](docs/CreateManyCodeDto.md)
 - [CreateManyCohortDto](docs/CreateManyCohortDto.md)
 - [CreateManyDataQueryDto](docs/CreateManyDataQueryDto.md)
 - [CreateManyDatasetColumnDto](docs/CreateManyDatasetColumnDto.md)
 - [CreateManyDatasetDto](docs/CreateManyDatasetDto.md)
 - [CreateManyDatasetJobDto](docs/CreateManyDatasetJobDto.md)
 - [CreateManyFeatureCategoryDto](docs/CreateManyFeatureCategoryDto.md)
 - [CreateManyFeatureDto](docs/CreateManyFeatureDto.md)
 - [CreateManyFeatureSubCategoryDto](docs/CreateManyFeatureSubCategoryDto.md)
 - [CreateManyModelBatchDto](docs/CreateManyModelBatchDto.md)
 - [CreateManyModelBatchJobDto](docs/CreateManyModelBatchJobDto.md)
 - [CreateManyModelDatasetDto](docs/CreateManyModelDatasetDto.md)
 - [CreateManyModelDto](docs/CreateManyModelDto.md)
 - [CreateManyModelJobDto](docs/CreateManyModelJobDto.md)
 - [CreateManyModelJobOutputDto](docs/CreateManyModelJobOutputDto.md)
 - [CreateManyModelPopulationDto](docs/CreateManyModelPopulationDto.md)
 - [CreateManyOrganizationDto](docs/CreateManyOrganizationDto.md)
 - [CreateManyOrganizationFeatureExclusionDto](docs/CreateManyOrganizationFeatureExclusionDto.md)
 - [CreateManyOrganizationSettingDto](docs/CreateManyOrganizationSettingDto.md)
 - [CreateManyProcessDto](docs/CreateManyProcessDto.md)
 - [CreateManyProcessJobDto](docs/CreateManyProcessJobDto.md)
 - [CreateManyProcessJobOutputDto](docs/CreateManyProcessJobOutputDto.md)
 - [CreateManyProcessJobStatusDto](docs/CreateManyProcessJobStatusDto.md)
 - [CreateManyProjectDto](docs/CreateManyProjectDto.md)
 - [CreateManyProjectMemberDto](docs/CreateManyProjectMemberDto.md)
 - [CreateManyUserFavoriteDto](docs/CreateManyUserFavoriteDto.md)
 - [DataQuery](docs/DataQuery.md)
 - [DataTable](docs/DataTable.md)
 - [Database](docs/Database.md)
 - [Dataset](docs/Dataset.md)
 - [DatasetColumn](docs/DatasetColumn.md)
 - [DatasetJob](docs/DatasetJob.md)
 - [DatasetJobStatus](docs/DatasetJobStatus.md)
 - [Feature](docs/Feature.md)
 - [FeatureCategory](docs/FeatureCategory.md)
 - [FeatureSubCategory](docs/FeatureSubCategory.md)
 - [FeatureTable](docs/FeatureTable.md)
 - [GeographicCounts](docs/GeographicCounts.md)
 - [GeographicQueries](docs/GeographicQueries.md)
 - [GetManyAnalysisJobOutputResponseDto](docs/GetManyAnalysisJobOutputResponseDto.md)
 - [GetManyAnalysisJobResponseDto](docs/GetManyAnalysisJobResponseDto.md)
 - [GetManyAnalysisJobStatusResponseDto](docs/GetManyAnalysisJobStatusResponseDto.md)
 - [GetManyAnalysisResponseDto](docs/GetManyAnalysisResponseDto.md)
 - [GetManyCodeResponseDto](docs/GetManyCodeResponseDto.md)
 - [GetManyCohortResponseDto](docs/GetManyCohortResponseDto.md)
 - [GetManyDataQueryResponseDto](docs/GetManyDataQueryResponseDto.md)
 - [GetManyDataTableResponseDto](docs/GetManyDataTableResponseDto.md)
 - [GetManyDatabaseResponseDto](docs/GetManyDatabaseResponseDto.md)
 - [GetManyDatasetColumnResponseDto](docs/GetManyDatasetColumnResponseDto.md)
 - [GetManyDatasetJobResponseDto](docs/GetManyDatasetJobResponseDto.md)
 - [GetManyDatasetJobStatusResponseDto](docs/GetManyDatasetJobStatusResponseDto.md)
 - [GetManyDatasetResponseDto](docs/GetManyDatasetResponseDto.md)
 - [GetManyFeatureCategoryResponseDto](docs/GetManyFeatureCategoryResponseDto.md)
 - [GetManyFeatureResponseDto](docs/GetManyFeatureResponseDto.md)
 - [GetManyFeatureSubCategoryResponseDto](docs/GetManyFeatureSubCategoryResponseDto.md)
 - [GetManyModelBatchJobResponseDto](docs/GetManyModelBatchJobResponseDto.md)
 - [GetManyModelBatchResponseDto](docs/GetManyModelBatchResponseDto.md)
 - [GetManyModelDatasetResponseDto](docs/GetManyModelDatasetResponseDto.md)
 - [GetManyModelJobOutputResponseDto](docs/GetManyModelJobOutputResponseDto.md)
 - [GetManyModelJobResponseDto](docs/GetManyModelJobResponseDto.md)
 - [GetManyModelJobStatusResponseDto](docs/GetManyModelJobStatusResponseDto.md)
 - [GetManyModelPopulationResponseDto](docs/GetManyModelPopulationResponseDto.md)
 - [GetManyModelResponseDto](docs/GetManyModelResponseDto.md)
 - [GetManyOrganizationFeatureExclusionResponseDto](docs/GetManyOrganizationFeatureExclusionResponseDto.md)
 - [GetManyOrganizationResponseDto](docs/GetManyOrganizationResponseDto.md)
 - [GetManyOrganizationSettingResponseDto](docs/GetManyOrganizationSettingResponseDto.md)
 - [GetManyProcessJobOutputResponseDto](docs/GetManyProcessJobOutputResponseDto.md)
 - [GetManyProcessJobResponseDto](docs/GetManyProcessJobResponseDto.md)
 - [GetManyProcessJobStatusResponseDto](docs/GetManyProcessJobStatusResponseDto.md)
 - [GetManyProcessResponseDto](docs/GetManyProcessResponseDto.md)
 - [GetManyProjectMemberResponseDto](docs/GetManyProjectMemberResponseDto.md)
 - [GetManyProjectResponseDto](docs/GetManyProjectResponseDto.md)
 - [GetManyUserFavoriteResponseDto](docs/GetManyUserFavoriteResponseDto.md)
 - [InterventionDefinition](docs/InterventionDefinition.md)
 - [Json](docs/Json.md)
 - [LogicalOperator](docs/LogicalOperator.md)
 - [Model](docs/Model.md)
 - [ModelBatch](docs/ModelBatch.md)
 - [ModelBatchJob](docs/ModelBatchJob.md)
 - [ModelDataset](docs/ModelDataset.md)
 - [ModelJob](docs/ModelJob.md)
 - [ModelJobConfig](docs/ModelJobConfig.md)
 - [ModelJobEvent](docs/ModelJobEvent.md)
 - [ModelJobOutput](docs/ModelJobOutput.md)
 - [ModelJobStatus](docs/ModelJobStatus.md)
 - [ModelPopulation](docs/ModelPopulation.md)
 - [Organization](docs/Organization.md)
 - [OrganizationFeatureExclusion](docs/OrganizationFeatureExclusion.md)
 - [OrganizationSetting](docs/OrganizationSetting.md)
 - [OutcomeDefinition](docs/OutcomeDefinition.md)
 - [PeriodDefinition](docs/PeriodDefinition.md)
 - [PeriodType](docs/PeriodType.md)
 - [PersonSet](docs/PersonSet.md)
 - [Process](docs/Process.md)
 - [ProcessJob](docs/ProcessJob.md)
 - [ProcessJobOutput](docs/ProcessJobOutput.md)
 - [ProcessJobStatus](docs/ProcessJobStatus.md)
 - [ProcessType](docs/ProcessType.md)
 - [Project](docs/Project.md)
 - [ProjectMember](docs/ProjectMember.md)
 - [SelectExpression](docs/SelectExpression.md)
 - [SetOperator](docs/SetOperator.md)
 - [UpdateUserDto](docs/UpdateUserDto.md)
 - [UserFavorite](docs/UserFavorite.md)

## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: Api-Key
- **Location**: HTTP header


## Author


